Subject: Re: bug#21051: direct/file deletion

From: Bernhard Voelker <[email-masked]>
Date: Tue, 14 Jul 2015 08:55:41 +0200

tag 21051 notabug
close 21051
stop

On 07/13/2015 10:04 PM, Lee Sung wrote:
> I cannot delete dir/file from my home directory.
> [lsung@hw-lnx-shell3 ~/fpc_i2cs_cpld]$
>  
> [lsung@hw-lnx-shell3 ~/fpc_i2cs_cpld]$ ls -al
> total 28
> drwxr-xr-x   3 lsung ipg        4096 Jul 13 11:23 .
> drwxr-xr-x  26 lsung qa-others 20480 Jul 13 11:40 ..
> drwxr-xr-x   2 lsung ipg        4096 Jul 13 11:23 rtl
>  
> I want to delete  dir fpc_i2cs_cpld, but I cannot.
>  
> How would I delete directory “.” and “..”

Thanks for the bug report.
You did not show us how you tried to delete that directory,
and what error message (or other effect) you got.

The entries "." and ".." are implicit and stand for the
current and parent directories respectively on UNIX-oide
file systems.  You'd never want to delete them directly
by these names - and the rm(1) utility of GNU coreutils
actually refuses to delete them:

  $ rm -r .
  rm: refusing to remove '.' or '..' directory: skipping '.'

However, you could remove it by it's absolute file name:

  $ rm -r "$HOME/fpc_i2cs_cpld"

Anyway, as this is unlikely a bug in the GNU coreutils, I'm
closing this as "not a bug" in our bug tracker.

Have a nice day,
Berny